# Plugin script to initialize Escoria simple mouse UI
tool
extends EditorPlugin


# Override function to return the plugin name.
func get_plugin_name():
	return "escoria-ui-return-monkey-island"


# Deregister UI
func disable_plugin():
	print("Disabling plugin Escoria UI Return to Monkey Island.")
	EscoriaPlugin.deregister_ui("res://gymkhana/addons/escoria-ui-return-monkey-island/game.tscn")


# Register UI with Escoria
func enable_plugin():
	print("Enabling plugin Escoria UI Return to Monkey Island.")
	if not EscoriaPlugin.register_ui(self, "res://gymkhana/addons/escoria-ui-return-monkey-island/game.tscn"):
		get_editor_interface().set_plugin_enabled(
			get_plugin_name(),
			false
		)
